@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600&display=swap");
:root {
  --organe: #ff7800;
  --black: #130f40;
  --light-color: #666;
  --box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.1);
  --border: 1rem solid rgba(0, 0, 0, 0.1);
  --outline: 0.1rem solid rgba(0, 0, 0, 0.1);
  --outline-hover: 0.2rem solid var(--black);
}

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  text-transform: capitalize;
  transform: all 0.2s linear;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 7rem;
}
body {
  background-color: #eee;
}
section {
  padding: 2rem 9%;
}
.heading {
  text-align: center;
  padding: 2rem 0;
  padding-bottom: 3rem;
  font-size: 3.5rem;
  color: var(--black);
}
.heading span {
  background: var(--organe);
  color: #fff;
  display: inline-block;
  padding: 0.5rem 3rem;
  clip-path: polygon(100% 0, 93% 50%, 100% 99%, 0% 100%, 7% 50%, 0% 0%);
}
.btn {
  margin-top: 1rem;
  display: inline-block;
  padding: 0.8rem 3rem;
  font-size: 1.7rem;
  border-radius: 0.5rem;
  border: 0.2rem solid var(--black);
  color: var(--light-color);
  cursor: pointer;
  background: none;
}
.btn:hover {
  background: var(--organe);
  color: #fff;
}
.header {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem 9%;
  background: #fff;
  box-shadow: var(--box-shadow);
}
.header .logo {
  font-size: 2.5rem;
  font-weight: bolder;
  color: var(--black);
}
.header .logo i {
  color: var(--organe);
}
.header .navbar a {
  font-size: 1.7rem;
  margin: 0 1rem;
  color: var(--black);
}
.header .navbar a:hover {
  color: var(--organe);
}
.header .icons div {
  height: 4.5rem;
  width: 4.5rem;
  line-height: 4.5rem;
  border-radius: 5rem;
  background: #eee;
  color: var(--black);
  font-size: 2rem;
  margin-left: 0.3rem;
  cursor: pointer;
  text-align: center;
}
.header .icons div:hover {
  color: #fff;
  background: var(--organe);
}
#menu-btn {
  display: none;
}
.header .search-form {
  position: absolute;
  top: 110%;
  right: -110%;
  width: 50rem;
  height: 5rem;
  background: #fff;
  border-radius: 0.5rem;
  overflow: hidden;
  display: flex;
  align-items: center;
  box-shadow: var(--box-shadow);
  transition: 0.4 linear;
}
.header .search-form.active {
  right: 2rem;
  transition: 0.4s linear;
}
.header .search-form input {
  height: 100%;
  width: 100%;
  background: none;
  text-transform: none;
  font-size: 1.6rem;
  color: var(--black);
  padding: 0 1.5rem;
}
.header .search-form label {
  font-size: 2.2rem;
  padding-right: 1.5rem;
  color: var(--black);
}
header .search-form label:hover {
  color: var(--organe);
}
.header .shopping-cart {
  position: absolute;
  top: 110%;
  right: -110%;
  padding: 1rem;
  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
  width: 30rem;
  background: #fff;
}
.header .shopping-cart.active {
  right: 2rem;
  transition: 0.4s linear;
}
.header .shopping-cart .box {
  display: flex;
  align-items: center;
  gap: 1rem;
  position: relative;
  margin: 1rem 0;
}
.header .shopping-cart .box img {
  height: 10rem;
}
.header .shopping-cart .box .fa-trash {
  font-size: 2rem;
  position: absolute;
  top: 50%;
  right: 2rem;
  cursor: pointe;
  color: var(--light-color);
  transform: translateY(-50%);
}
.header .shopping-cart .box .fa-trash:hover {
  color: var(--organe);
}
.header .shopping-cart .box .content h3 {
  color: var(--black);
  font-size: 1.7rem;
  padding-bottom: 1rem;
}
.header .shopping-cart .box .content span {
  color: var(--light-color);
  font-size: 1.6rem;
}
.header .shopping-cart .box .content .quantity {
  padding-left: 1rem;
}
.header .shopping-cart .total {
  font-size: 2.5rem;
  padding: 1rem 0;
  text-align: center;
  color: var(--black);
}
.header .shopping-cart .btn {
  display: block;
  text-align: center;
  margin: 1rem;
}
.header .login-form {
  position: absolute;
  top: 110%;
  right: -110%;
  width: 30rem;
  box-shadow: var(--box-shadow);
  padding: 2rem;
  border-radius: 0.5rem;
  background: #fff;
  text-align: center;
}
.header .login-form.active {
  right: 2rem;
  transition: 0.4s linear;
}
.header .login-form h3 {
  font-size: 2.5rem;
  text-transform: uppercase;
  color: var(--black);
}
.header .login-form .box {
  margin: 0.7rem 0;
  width: 100%;
  background: #eee;
  border-radius: 0.5rem;
  padding: 1rem;
  font-size: 1.6rem;
  color: var(--black);
  text-transform: none;
}
.header .login-form p {
  font-size: 1.4rem;
  padding: 0.5rem 0;
  color: var(--light-color);
}
.header .login-form p a {
  color: var(--organe);
  text-decoration: underline;
}
.home {
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/banner-bg.webp) no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 17rem;
  padding-bottom: 10rem;
}
.home .content {
  text-align: center;
  width: 60rem;
}
.home .content h3 {
  color: var(--black);
  font-size: 3rem;
}
.home .content h3 span {
  color: var(--organe);
}
.home .content p {
  color: var(--light-color);
  font-size: 1.7rem;
  padding: 1rem 0;
  line-height: 1.8;
}
.features .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}
.features .box-container .box {
  padding: 3rem 2rem;
  background: #fff;
  outline: var(--outline);
  outline-offset: -1rem;
  text-align: center;
  box-shadow: var(--box-shadow);
}
.features .box-container .box:hover {
  outline: var(--outline-hover);
  outline-offset: 0rem;
}
.features .box-container .box img {
  margin: 1rem 0;
  height: 15rem;
}
.features .box-container .box h3 {
  font-size: 2.5rem;
  line-height: 1.8;
  color: var(--black);
}
.features .box-container .box p {
  font-size: 1.5rem;
  line-height: 1.8;
  color: var(--black);
  padding: 1rem 0;
}
.products .product-slider {
  padding: 1rem;
}
.products .product-slider:first-child {
  margin-bottom: 2rem;
}
.products .product-slider .box {
  background: #fff;
  border-radius: 0.5rem;
  text-align: center;
  padding: 3rem 2rem;
  outline-offset: -1rem;
  outline: var(--outline);
  box-shadow: var(--box-shadow);
  transform: 0.2s linear;
}
.products .product-slider .box:hover {
  outline-offset: 0rem;
  outline: var(--outline-hover);
}
.products .product-slider .box img {
  height: 20rem;
}
.products .product-slider .box h3 {
  font-size: 2.5rem;
  color: var(--black);
}
.products .product-slider .box .price {
  font-size: 2rem;
  color: var(--light-color);
  padding: 0.5rem 0;
}
.products .product-slider .box .star i {
  font-size: 1.7rem;
  color: var(--organe);
  padding: 0.5rem 0;
}
.categories .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(26rem, 1fr));
  gap: 1.5rem;
}
.categories .box-container .box {
  padding: 3rem 2rem;
  border-radius: 0.5rem;
  background: #fff;
  box-shadow: var(--box-shadow);
  outline: var(--outline);
  outline-offset: -1rem;
  text-align: center;
}
.categories .box-container .box:hover {
  outline: var(--outline-hover);
  outline-offset: 0rem;
}
.categories .box-container .box img {
  margin: 1rem 0;
  height: 15rem;
}
.categories .box-container .box h3 {
  font-size: 2rem;
  color: var(--black);
  list-style: 1.8;
}
.categories .box-container .box p {
  font-size: 1.7rem;
  color: var(--light-color);
  list-style: 1.8;
  padding: 1rem 0;
}
.review .review-slider {
  padding: 1rem;
}
.review .review-slider .box {
  background: #fff;
  border-radius: 0.5rem;
  text-align: center;
  padding: 3rem 2rem;
  outline-offset: -1rem;
  outline: var(--outline);
  box-shadow: var(--box-shadow);
  transform: 0.2s linear;
}
.review .review-slider .box:hover {
  outline: var(--outline-hover);
  outline-offset: 0rem;
}
.review .review-slider .box img {
  height: 10rem;
  width: 10rem;
  border-radius: 50%;
}
.review .review-slider .box p {
  padding: 1rem 0;
  line-height: 1.8;
  color: var(--light-color);
  font-size: 1.5rem;
}
.review .review-slider .box h3 {
  padding-bottom: 0.5rem;
  color: var(--black);
  font-size: 1.5rem;
}
.review .review-slider .box .star i {
  color: var(--organe);
  font-size: 1.7rem;
}
.blogs .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}
.blogs .box-container .box {
  overflow: hidden;
  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
  background: #fff;
}
.blogs .box-container .box img {
  height: 25rem;
  width: 100%;
  object-fit: cover;
}
.blogs .box-container .box .content {
  padding: 2rem;
}
.blogs .box-container .box .content .icons {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 1.5rem;
  margin-bottom: 1rem;
  border-bottom: var(--border);
}
.blogs .box-container .box .content .icons a {
  color: var(--light-color);
  font-size: 1.5rem;
}
.blogs .box-container .box .content .icons a:hover {
  color: var(--black);
}
.blogs .box-container .box .content .icons a i {
  color: var(--organe);
  padding-right: 0.5rem;
}
.blogs .box-container .box .content h3 {
  line-height: 1.8;
  color: var(--black);
  font-size: 2.2rem;
  padding: 0.5rem 0;
}
.blogs .box-container .box .content p {
  line-height: 1.8;
  color: var(--light-color);
  font-size: 1.5rem;
  padding: 0.5rem 0;
}
.footer {
  background: #fff;
}
.footer .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 1.5rem;
}
.footer .box-container .box h3 {
  font-size: 2.5rem;
  padding: 1rem 0;
  color: var(--black);
}
.footer .box-container .box h3 i {
  color: var(--organe);
}
.footer .box-container .box .links {
  display: block;
  font-size: 1.5rem;
  color: var(--light-color);
  padding: 1rem 0;
}
.footer .box-container .box .links:hover i {
  padding: 2rem;
}
.footer .box-container .box .links i {
  color: var(--organe);
  padding-right: 0.5rem;
}
.footer .box-container .box p {
  line-height: 1.8;
  font-size: 1.5rem;
  color: var(--light-color);
  padding: 1rem 0;
}
.footer .box-container .box .share a {
  height: 4rem;
  width: 4rem;
  line-height: 4rem;
  border-radius: 0.5rem;
  font-size: 2rem;
  color: var(--black);
  margin-left: 0.2rem;
  background: #eee;
  text-align: center;
}
.footer .box-container .box .share a:hover {
  background: var(--organe);
  color: #fff;
}
.footer .box-container .box .email {
  margin: 0.7rem 0;
  padding: 1rem;
  border-radius: 0.5rem;
  background: #eee;
  font-size: 1.6rem;
  color: var(--black);
  text-transform: none;
}
.footer .box-container .box .payment-img {
  margin-top: 2rem;
  height: 3rem;
}
/* media queries */
@media (max-width: 991px) {
  html {
    font-size: 55%;
  }
  .header {
    padding: 2rem;
  }
  section {
    padding: 2rem;
  }
}

@media (max-width: 768px) {
  #menu-btn {
    display: inline-block;
  }
  .header .search-form {
    width: 90%;
  }
  .header .navbar {
    position: absolute;
    top: 110%;
    right: -110%;
    width: 30rem;
    box-shadow: var(--box-shadow);
    border-radius: 0.5rem;
    background: #fff;
  }
  .header .navbar.active {
    right: 2rem;
    transition: 0.4s linear;
  }
  .header .navbar a {
    font-size: 2rem;
    margin: 2rem 2.5rem;
    display: block;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 50%;
  }
  .heading {
    font-size: 2.5rem;
  }
}
